function smallBlock = blockResize(pixBlock, scaling)
%
% Usage: smallBlock = blockResize(pixBlock, scaling)
%
% Resize each frame of sequence of frames
%
[nbFrames, nbRows, nbCols] = size(pixBlock);

testImage = imresize(squeeze(pixBlock(1,:,:)), scaling);
[smallNbRows, smallNbCols] = size(testImage);
smallBlock = zeros(nbFrames, smallNbRows, smallNbCols);

for i =1:nbFrames
	smallBlock(i,:,:) = imresize(squeeze(pixBlock(i,:,:)), scaling);
end;
