function croppedBlock = cropBlock(pixBlock, delta)
%
% Crop 3D block along 3 dimension by delta
%
[nbFrames, nbRows, nbCols] = size(pixBlock);

if 0
	pixBlock(nbFrames-delta:nbFrames, :,:) = [];
	pixBlock(:,nbRows-delta:nbRows,:) = [];
	pixBlock(:,:,nbCols-delta:nbCols) = [];
	pixBlock(1:delta,:,:) = [];
	pixBlock(:,1:delta,:) = [];
	pixBlock(:,:,1:delta) = [];
    croppedBlock = pixBlock;
else
    croppedBlock = pixBlock(delta+1:nbFrames-delta, delta+1:nbRows-delta, delta+1:nbCols-delta);
end