function grey3D = makeGreyImage3D(rgb3D)

% Usage: grey3D = makeGreyImage3D(rgb3D)

[nbFrames, nbRows, nbCols, nbColors] = size(rgb3D);

for i = 1:nbFrames
	if i == 1
	   grey3D = uint8(zeros(nbFrames, nbRows, nbCols));
	   rgbImage = uint8(zeros(nbRows, nbCols, 3));
	end;
	rgbImage(:,:,:) = rgb3D(i,:,:,:); 
	greyImage = rgb2gray(rgbImage); % if we have an uint8 rgb
	grey3D(i,:,:) = greyImage(:,:); % just greyImage
end;
