function myPPMWrite(rgbImage, fileName)

% Usage: myPPMWrite(rgbImage, fileName)
% This calls ppmwrite which is part of the PNM Toolbox
% The home page of the PNM Toolbox on the World Wide Web is
% http://www.math.uio.no/~jacklam/matlab/software/pnm/index.html

% Write an uint8 color image to a file using ppmwrite

rgbImage = double(rgbImage)/255;

r = rgbImage(:,:,1);
g = rgbImage(:,:,2);
b = rgbImage(:,:,3);

ppmwrite(r,g,b, fileName, 'binary');
