function rgb3D = readRGBImage3DBackward(rootName, nbFrames)

% Usage: rgb3D = readRGBImage3D(rootName, nbFrames)
firstPass = 1;

for i = 1:nbFrames
	disp(i);
	imageName = [rootName, sprintf('%05d.ppm',i)];
	rgbImage = myPPMRead(imageName);
	if i == firstPass
	   [height,width,nbColors] = size(rgbImage);
	   rgb3D = uint8(zeros(nbFrames, height,width, 3));
       firstPass = 0;
	end;
	rgb3D(nbFrames - i + 1,:,:,:) = uint8(rgbImage);
end;
