function makeAffineFlowImages(clipDir, scaledDir, motionXDir, motionYDir, vDefinedDir, sequenceName, startFrame, endFrame)
% 

scaledRootName =  [clipDir, '/', scaledDir, '/', sequenceName];
xMotionRootName = [clipDir, '/', motionXDir, '/', sequenceName];
yMotionRootName = [clipDir, '/', motionYDir, '/', sequenceName];
vDefinedRootName = [clipDir, '/', vDefinedDir, '/', sequenceName];

for i = startFrame:endFrame
    disp(['%%%%%%%% Flow for image # ', num2str(i), ' %%%%%%%%']);
	[angleX, angleY, vDefined] = findAffineFlow(scaledRootName, i);
    angleXName = [xMotionRootName, sprintf('%05d.bmp',i)];
	imwrite(angleX, angleXName, 'bmp');
    angleYName = [yMotionRootName, sprintf('%05d.bmp',i)];
	imwrite(angleY, angleYName, 'bmp');
    vDefinedName = [vDefinedRootName, sprintf('%05d.bmp',i)];
	imwrite(vDefined, vDefinedName, 'bmp'); 
end
	
