function trace3 = mergeTraces(trace1, trace2)

% Usage: trace3 = mergeTraces(trace1, trace2)
%
% we have a trace1 for initial feature cluster
% and these points have been consolidated and trace2 is generated
% Make a new trace that for each original feature cluster
% (one per pixel unless there is no edge around)
% points to the index of the final feature cluster
% This code assumes that trace2 does not have any zeros

trace3 = trace1; % this copies all zeros from clusterTrace1 to clusterTrace3

nonZeroIndices = find(trace1);

trace3 = trace1;

trace3(nonZeroIndices) = trace2(trace1(nonZeroIndices));
