function [nameList, startFrameList, endFrameList, frameCountList, labelList] = readVideoList(fileListName)
%
% put data from a file into arrays
% to read individual names from cell array nameList,
% use char(nameList(i))
% Other two arrays are numerical arrays

fileNames = textread(fileListName,'%s');

nbNames = length(fileNames)/5;
count = 0;
nameList = cell(nbNames,1);
startFrameList = zeros(nbNames,1);
endFrameList = zeros(nbNames,1);
frameCountList = zeros(nbNames,1);
labelList = cell(nbNames,1);

for i = 1:nbNames
     count = count + 1;
     nameList(i) = fileNames(count);
     count = count + 1;
     startFrameList(i) = str2num(char(fileNames(count)));
     count = count + 1;
     endFrameList(i) = str2num(char(fileNames(count)));
     count = count + 1;
     frameCountList(i) = str2num(char(fileNames(count)));
     count = count + 1;
     labelList(i) = fileNames(count);
end;

