function clusterColors = findRGBClusterColorsFromLUV(clusterCenters)
%
% Usage: clusterColors =  findRGBClusterColorsFromLUV(clusterCenters)
%
% Convert LUV cluster color to RGB
% and attribute that color to the cluster

nbClusters = size(clusterCenters, 1);
clusterColors = zeros(nbClusters, 3);


clusterLUV = clusterCenters(:,5:7);

for i = 1:nbClusters
    clusterColors(i,:) = luv2rgbTriple(clusterLUV(i,:));
end;
   
