function newClusterTrace = findSoftMatchAndNoMatch(prevClusterCenters, clusterCenters, clusterTrace, weights)
%
% Usage: newClusterTrace = findSoftMatchAndNoMatch(prevClusterCenters, clusterCenters, clusterTrace, weigths)
%
% Match clusterCenters and prevClusterCenters and use same pixel labels for matching clusters
% And mark as zero the regions with no match

[match, globalDist, timeShift] = findSoftSequenceDistance(prevClusterCenters, clusterCenters, weights);
timeShift
match
for i = 1:length(clusterTrace)
    if clusterTrace(i) == 0
        newClusterTrace(i) = 0;
    else
        clusterIndex = clusterTrace(i);
        newClusterIndex = match(clusterIndex); % index of cluster in prevClusterCenters that best match this clusterCenter
        newClusterTrace(i) = newClusterIndex; % index can be zero if no match
    end
end
        