function motionSegmentation = segmentColorFromMotion(rgb3D, clusterTrace3D)
%
% Usage: motionSegmentation = segmentColorFromMotion(rgb3D, clusterTrace3D)
%
%=======================================================================================

[nbFrames, nbRows, nbCols] = size(clusterTrace3D);
motionSegmentation = rgb3D;

red = [256,0,0]; % red border between regions
blue = [0,0,256]; % red border between regions

for i = 1:nbFrames
	for j = 1:nbRows
		for k = 1:nbCols
			clusterIndex = clusterTrace3D(i, j, k);
  			if clusterIndex ~= 0
                if j > 1 
                    northIndex = clusterTrace3D(i, j-1, k);
                    if northIndex ~=0 & northIndex ~= clusterIndex
                        motionSegmentation(i, j, k,:) = red;
                    end;
                    if northIndex ==0 
                        motionSegmentation(i, j, k,:) = blue;
                    end;
                end;
                if k > 1;
                    westIndex = clusterTrace3D(i, j, k-1);
                   if westIndex ~=0 & westIndex ~= clusterIndex
                       motionSegmentation(i, j, k,:) = red;
                    end;
                    if westIndex ==0
                       motionSegmentation(i, j, k,:) = blue;
                    end;
               end;
            else    
                if j > 1 
                    northIndex = clusterTrace3D(i, j-1, k);
                    if northIndex ~=0
                        motionSegmentation(i, j, k,:) = blue;
                    end;
                end;
                if k > 1;
                    westIndex = clusterTrace3D(i, j, k-1);
                   if westIndex ~=0
                       motionSegmentation(i, j, k,:) = blue;
                    end;
                end;
            end; % if clusterIndex ~= 0
		end;
	end % for iCol
end % for iRow
		   
