function clusterColors = findClusterColors3D2(rgb3D, closeVectIndices)
%
% Usage: clusterColors = findClusterColors3D2(rgb3D, closeVectIndices)
%
% Find average color of pixels contributing to each cluster
% and attribute that color to the cluster

nbClusters = length(closeVectIndices);
clusterColors = zeros(nbClusters, 3);

redImage = rgb3D(:,:,:,1);
greenImage = rgb3D(:,:,:,2);
blueImage = rgb3D(:,:,:,3);

flatRGB = [redImage(:), greenImage(:), blueImage(:)];

clusterColors = flatRGB(closeVectIndices,:); % reshuffle colors using closeVectIndices    
    
