function filteredBlock = blockFilter(pixBlock, filter)
%
% filter frames of pixBlock using imfilter

[nbFrames,nbRows, nbCols] = size(pixBlock);
filteredBlock = pixBlock;

for i = 1:nbFrames
    filteredBlock(i,:,:) = imfilter(squeeze(pixBlock(i,:,:)),filter);
end;
for i = 1:nbRows
    filteredBlock(:,i,:) = imfilter(squeeze(filteredBlock(:,i,:)),filter);
end;
for i = 1:nbCols
    filteredBlock(:,:,i) = imfilter(squeeze(filteredBlock(:,:,i)),filter);
end;