function luv3D = getLuvBlock3D(rgb3D)

% Usage: luv3D = getLuvBlock3D(rgb3D)

% Output image stack L, u, v from an uint8 stack of RGB color images

[nbFrames, nbRows, nbCols] = size(rgb3D(:,:,:,1));

luv3D = zeros(nbFrames, nbRows, nbCols, 3);

for i = 1:nbFrames
  disp(i);
  image = squeeze(rgb3D(i,:,:,:));
%   luv3D(i,:,:,:) = rgb2luv2(image);
  luv3D(i,:,:,:) = rgb2luv3(image);
end;  

luv3D = round(luv3D);
