function rgbImage = myPPMRead(fileName)

% Usage: rgbImage = myPPMRead(fileName)

% Read a ppm file as an uint8 color image using ppmread

[r,g,b] = ppmread(fileName);

rgbImage(:,:,1) = r;
rgbImage(:,:,2) = g;
rgbImage(:,:,3) = b;

rgbImage = uint8(255*rgbImage);

