function rgb3D = readAndScaleRGBImages(rootName, initFrame, endFrame, scale)

% Usage: rgb3D = readHalfRGBImage3D(rootName, initFrame, endFrame, scale)

iCount = 0;
nbFrames = endFrame - initFrame + 1;

for i = initFrame:endFrame
	disp(i);
	iCount = iCount + 1;
	imageName = [rootName, sprintf('%05d.ppm',i)];
% 	imageName = [rootName, sprintf('%04d.ppm',i)]; % only 4 digits for the mandela sequence
	rgbImage = myPPMRead(imageName);
	if i == initFrame
	   [height,width,nbColors] = size(rgbImage);
	   newWidth = width*scale;
	   newHeight = height*scale;
	   rgb3D = uint8(zeros(nbFrames, newHeight, newWidth, 3));
	end;
	for j = 1:3
%       if scale ==1.0
% 	        rgb3D(iCount,:,:,j) = rgbImage(:,:,j);
%         else
	        rgb3D(iCount,:,:,j) = imresize(rgbImage(:,:,j), [newHeight, newWidth], 'bicubic');
%         end
	end
end;
