function rgb3D = readHalfRGBImage3D(rootName, nbFrames)

% Usage: rgb3D = readHalfRGBImage3D(rootName, nbFrames)

for i = 1:nbFrames
	disp(i);
	imageName = [rootName, sprintf('%05d.ppm',i)];
	rgbImage = myPPMRead(imageName);
	if i == 1
	   [height,width,nbColors] = size(rgbImage);
	   halfWidth = width/2;
	   rgb3D = uint8(zeros(nbFrames, height, halfWidth, 3));
	end;
	for j = 1:3
	   rgb3D(i,:,:,j) = uint8(imresize(rgbImage(:,:,j),[height,halfWidth]));
	end
end;
