function rgb3D = readRGBImage3D(rootName, nbFrames)

% Usage: rgb3D = readRGBImage3D(rootName, nbFrames)

for i = 1:nbFrames
	disp(i);
	imageName = [rootName, sprintf('%05d.ppm',i)];
	rgbImage = myPPMRead(imageName);
	if i == 1
	   [height,width,nbColors] = size(rgbImage);
	   rgb3D = uint8(zeros(nbFrames, height,width, 3));
	end;
	rgb3D(i,:,:,:) = uint8(rgbImage);
end;
