function rgb3D = readSomeRGBImages(rootName, initFrame, endFrame, top, right, bottom, left, scale)

% rootName: '/dfs/homes/daniel/MacTreeMeanShift3D/Soccer/soccer_1_'

nbRows = bottom - top + 1;
nbCols = right - left + 1;
rgb3D = uint8(zeros(nbFrames, nbRows, nbCols, 3));

iCount = 0;

for i = initFrame:endFrame
    iCount = iCount + 1;
	disp(i);
	imageName = [rootName, sprintf('%05d.ppm',i)];
	rgbImage = myPPMRead(imageName);
	rgb3D(iCount,:,:,:) = uint8(double(rgbImage(top:bottom,left:right,:)) + 1); % prevent zero values

end;
