function frameCountBlock = setFrameCountBlock(nbFrames, nbRows, nbCols)
%
% Make a stack of frames in which all pixels in each frame are equal to the frame number
%
% This is used to add frame number as feature
%

frameCountBlock = ones(nbFrames, nbRows, nbCols);
for i = 1:nbFrames
    frameCountBlock(i,:,:) = i;
end;