function weights = findWeights(trace)
%
% Usage: weight = findWeights(nbPts, newTrace)
% Find how many pixels contribute to each clusters and use the count as weights
%
nbPts = max(trace); % this number is equal to the nb of centroids in shiftList
nbVects = length(trace); % original number of pixels

weights = zeros(nbPts,1);


for i = 1:nbVects
    index = trace(i);
    if index ~= 0
	    weights(index) = weights(index) + 1;
    end; % if
end; % for

