function numberLabelList = label2Nb(labelChoices, labelList)
%
% We have a list of labels for these tubes, a list of label choices
% Return list of numbers pointing to the label choices

nbLabels = length(labelList);
nbLabelChoices = size(labelChoices,1);
numberLabelList = zeros(nbLabels,1);

for i = 1:nbLabels
    tubeLabel = char(labelList(i));
    for j = 1:nbLabelChoices
        labelChoice = char(labelChoices(j));
        if(strcmp(tubeLabel, labelChoice))
            numberLabelList(i) = j;
            break;
        end
    end
end;