function [labelList, roiList] = readAction2RoiList(fileListName)
%
% put data from action2ROI file into 5 arrays
% to read individual names from labelList,
% use char(labelList(i))
% Other arrays are for rectangle fields

fileNames = textread(fileListName,'%s');

nbNames = length(fileNames)/5; % action name + 4 rect fields, left, top, right, bottom
count = 0;
labelList = cell(nbNames,1);
roiList = cell(nbNames,1);

for i = 1:nbNames
     count = count + 1;
     labelList(i) = fileNames(count);
     count = count + 1;
     rect.left = str2num(char(fileNames(count))); % column top left corner (x)
     count = count + 1;
     rect.top = str2num(char(fileNames(count))); % y
     count = count + 1;
     rect.right = str2num(char(fileNames(count))); % x bottom
     count = count + 1;
     rect.bottom = str2num(char(fileNames(count))); % y bottom
     roiList(i) = {rect};
end;
